#!/bin/bash
#crsamba2

#set -e
#set -u

fich=$1

if [[  $# -ne 1 ]] ; then
 	 echo "usage : $0 <fichier>"
 	 exit 1
fi

if [[ ! -r "${fich}"  ]] ; then
 	 echo "$0 : erreur d'ouverture du fichier ${fich}"
 	 exit 2
fi

while read ligne 
	do
	login=$(echo "${ligne}"|cut -f1 -d':' )
	getent passwd "${login}" >> /dev/null
	if [[ $? -eq 0 ]] ; then
		sudo userdel --remove "${login}"
		echo "Utilisateur ${login} supprime"

fi

done < $fich
